package com.ssyf.module.robot.service;

import com.ssyf.module.auth.domain.entity.User;
import com.ssyf.module.robot.domain.entity.RRobotAccount;
import com.ssyf.module.robot.domain.entity.UserRobotRelation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ssyf.module.robot.domain.query.UserRobotAssignQuery;
import com.ssyf.module.robot.domain.query.UserRobotRelationQuery;

import java.util.List;

/**
* @author ELSA
* @description 针对表【user_robot_relation】的数据库操作Service
* @createDate 2025-12-24 17:45:24
*/
public interface UserRobotRelationService extends IService<UserRobotRelation> {

    /**
     * 分配粉丝给用户
     * @param query 分配参数
     */
    void assignRobotToUser(UserRobotAssignQuery query);

    void clear(UserRobotAssignQuery query);

    List<UserRobotRelation> getList(UserRobotRelationQuery query);

    List<RRobotAccount> getAccountList(UserRobotRelationQuery query);

    List<Long> getRobotIdsByUserId(Integer userId);

    public List<User> getUserListByRobot(UserRobotRelationQuery query);
}
